Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# icontheme.hh File Reference

A GtkIconTheme C++ wrapper interface. More...

`#include <xfc/glib/boxed.hh>`
`#include <xfc/glib/object.hh>`
`#include <gtk/gtkicontheme.h>`
`#include <vector>`
`#include <xfc/gtk/inline/icontheme.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::IconInfo
    A GtkIconInfo C++ wrapper class. More...
- class Xfc::Gtk::IconTheme
    A GtkIconTheme C++ wrapper class. More...

## Typedefs

- typedef unsigned int IconLookupFlagsField
    IconLookupFlagsField holds one or more values from the Gtk::IconLookupFlags enumeration OR'd together.

## Enumerations

- enum IconLookupFlags {
  ICON_LOOKUP_NO_SVG = GTK_ICON_LOOKUP_NO_SVG,
  ICON_LOOKUP_FORCE_SVG = GTK_ICON_LOOKUP_FORCE_SVG,
  ICON_LOOKUP_USE_BUILTIN = GTK_ICON_LOOKUP_USE_BUILTIN
  }
    The flags used to specify options for Gtk::IconTheme::lookup_icon(). More...
- enum IconThemeError {
  ICON_THEME_NOT_FOUND = GTK_ICON_THEME_NOT_FOUND,
  ICON_THEME_FAILED = GTK_ICON_THEME_FAILED
  }
    Error codes for Gtk::IconTheme operations. More...

## Detailed Description

A GtkIconTheme C++ wrapper interface.

Provides IconTheme, an object that provides a facility for looking up icons by name and size.

## Enumeration Type Documentation

enum IconLookupFlags

The flags used to specify options for Gtk::IconTheme::lookup_icon().

Enumeration values:

  ICON_LOOKUP_NO_SVG | Never return SVG icons, even if gdk-pixbuf supports them; Cannot be used together with Gtk::ICON_LOOKUP_FORCE_SVG.
  ICON_LOOKUP_FORCE_SVG | Return SVG icons, Gtk::ICON_LOOKUP_NO_SVG.
  ICON_LOOKUP_USE_BUILTIN | When passed to Gtk::IconTtheme::lookup_icon() includes builtin icons as well as files. For a builtin icon, Gtk::IconInfo::get_filename() returns null and you need to call Gtk::IconInfo::get_builtin_pixbuf().

enum IconThemeError

Error codes for Gtk::IconTheme operations.

Enumeration values:

  ICON_THEME_NOT_FOUND | The icon specified does not exist in the theme.
  ICON_THEME_FAILED | An unspecified error occurred.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3